Subject: a question about the "reord"

From: Cruise Huang <[email-masked]>
Date: Fri, 13 Jul 2007 15:26:28 +0800

Dear all:
I'm reading the code about the Congestion Control.Now I'm confused about
the variable "reord" in the function tcp_sacktag_write_queue().

The "reord" is initialized as the tp->packets_out, I think, which is a
max threshold of the reordering.

If it detect a hole or D-SACK ,set the reord to :
---> reord = min(fack_count, reord);

Finally,the code may update the reordering by:
---> tcp_update_reordering(sk, ((tp->fackets_out + 1) - reord), 0);

The questions are :
<1> What's the purpose of the "reord" ?
<2> Why use the "((tp->fackets_out + 1) - reord)" to update the reordering.

Do I need to study some more RFC about this ? If yes,please tell me
,thanks .